Bug 726245 - Review Request: perl-Eval-LineNumbers - Add line numbers to hereis blocks that contain perl source code
Summary: Review Request: perl-Eval-LineNumbers - Add line numbers to hereis blocks tha...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-27 22:41 UTC by Emmanuel Seyman
Modified: 2011-08-22 15:16 UTC (History)
3 users (show)

Fixed In Version: perl-Eval-LineNumbers-0.31-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-10 03:22:36 UTC
Type: ---
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Emmanuel Seyman 2011-07-27 22:41:17 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Eval-LineNumbers/perl-Eval-LineNumbers.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Eval-LineNumbers/perl-Eval-LineNumbers-0.31-1.fc15.src.rpm
Description:
This module adds a line number to hereis text that is going to be
eval'ed so that error messages will point back to the right place.

Comment 1 Mario Blättermann 2011-07-31 11:26:44 UTC
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3241045

$ rpmlint -i -v *perl-Eval-LineNumbers.noarch: I: checking
perl-Eval-LineNumbers.noarch: W: spelling-error Summary(en_US) hereis -> herein, here's, here is
The value of this tag appears to be misspelled. Please double-check.

perl-Eval-LineNumbers.noarch: W: spelling-error %description -l en_US hereis -> herein, here's, here is
The value of this tag appears to be misspelled. Please double-check.

perl-Eval-LineNumbers.noarch: W: spelling-error %description -l en_US eval'ed -> evaluated
The value of this tag appears to be misspelled. Please double-check.

perl-Eval-LineNumbers.noarch: I: checking-url http://search.cpan.org/dist/Eval-LineNumbers/ (timeout 10 seconds)
perl-Eval-LineNumbers.src: I: checking
perl-Eval-LineNumbers.src: W: spelling-error Summary(en_US) hereis -> herein, here's, here is
The value of this tag appears to be misspelled. Please double-check.

perl-Eval-LineNumbers.src: W: spelling-error %description -l en_US hereis -> herein, here's, here is
The value of this tag appears to be misspelled. Please double-check.

perl-Eval-LineNumbers.src: W: spelling-error %description -l en_US eval'ed -> evaluated
The value of this tag appears to be misspelled. Please double-check.

perl-Eval-LineNumbers.src: I: checking-url http://search.cpan.org/dist/Eval-LineNumbers/ (timeout 10 seconds)
perl-Eval-LineNumbers.src: I: checking-url http://www.cpan.org/authors/id/M/MU/MUIR/modules/Eval-LineNumbers-0.31.tar.gz (timeout 10 seconds)
perl-Eval-LineNumbers.spec: I: checking-url http://www.cpan.org/authors/id/M/MU/MUIR/modules/Eval-LineNumbers-0.31.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 6 warnings.

No real issues so far. The spelling error which points to "hereis" is ignoreable.

Stay tuned for a full review.

Comment 2 Mario Blättermann 2011-07-31 11:37:04 UTC
---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[X] MUST: The package must be licensed with a Fedora approved license.
    Artistic 2.0 or LGPLv2+
    The website of this Perl module says "License: unknown". According
    to the packaging guidelines, such modules should get "GPL+ or Artistic".
    Why are you using a different license here?
 
[X] MUST: The License field in the package spec file must match the actual
license.
[.] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    69b20fbf576942a1ef7cffef456b0081  Eval-LineNumbers-0.31.tar.gz
    69b20fbf576942a1ef7cffef456b0081  Eval-LineNumbers-0.31.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it. Don't know how to test it on my
system.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[.] SHOULD: Your package should contain man pages for binaries/scripts.

Comment 3 Emmanuel Seyman 2011-07-31 11:55:57 UTC
(In reply to comment #2)
>
> [X] MUST: The package must be licensed with a Fedora approved license.
>     Artistic 2.0 or LGPLv2+
>     The website of this Perl module says "License: unknown". According
>     to the packaging guidelines, such modules should get "GPL+ or Artistic".
>     Why are you using a different license here?

The pod of the module contains (at the very end of the file):

This package may be used and redistributed under the terms of either
the Artistic 2.0 or LGPL 2.1 license.

Comment 4 Mario Blättermann 2011-07-31 12:06:17 UTC
(In reply to comment #3)
> The pod of the module contains (at the very end of the file):
> 
> This package may be used and redistributed under the terms of either
> the Artistic 2.0 or LGPL 2.1 license.

Yes, indeed... I hadn't expected to find a license declaration at that location. Ok, then all seems to be OK, that's why:

---------------

PACKAGE APROVED

---------------

Comment 5 Emmanuel Seyman 2011-07-31 12:11:14 UTC
(In reply to comment #4)
> 
> PACKAGE APROVED

Thanks for the review, Mario.

New Package SCM Request
=======================
Package Name: perl-Eval-LineNumbers
Short Description: Add line numbers to hereis blocks that contain perl source code
Owners: eseyman
Branches: f16 f15
InitialCC: perl-sig

Comment 6 Gwyn Ciesla 2011-07-31 19:41:39 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-08-01 09:17:51 UTC
perl-Eval-LineNumbers-0.31-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Eval-LineNumbers-0.31-1.fc15

Comment 8 Fedora Update System 2011-08-01 09:17:59 UTC
perl-Eval-LineNumbers-0.31-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Eval-LineNumbers-0.31-1.fc16

Comment 9 Fedora Update System 2011-08-02 02:04:58 UTC
perl-Eval-LineNumbers-0.31-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 10 Fedora Update System 2011-08-10 03:22:31 UTC
perl-Eval-LineNumbers-0.31-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 11 Fedora Update System 2011-08-22 15:16:12 UTC
perl-Eval-LineNumbers-0.31-1.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.